//
//  MapLocation.m
//  FindMe
//
//  Created by Ken Anderson on 3/15/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "MapLocation.h"

@implementation MapLocation

@synthesize streetAddress, city, state, zip, coordinate;

#pragma mark -

- (NSString *) title {
    return @"You are Here!";
}

- (NSString *) subtitle {
    NSMutableString *results = [NSMutableString string];
    if (streetAddress) {
        [results appendString:streetAddress];
    }
    if (streetAddress && (city || state || zip)) {
        [results appendString:@" • "];
    }
    if (city) {
        [results appendString:city];
    }
    if (city && state) {
        [results appendString:@", "];
    }
    if (state) {
        [results appendString:state];
    }
    if (zip) {
        [results appendFormat:@", %@", zip];
    }
    return results;
}

#pragma mark -

- (void) dealloc {
    [streetAddress release];
    [city release];
    [state release];
    [zip release];
    [super dealloc];
}

@end
