//
//  HeroValueDisplay.m
//  SuperDB
//
//  Created by Ken Anderson on 3/16/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "HeroValueDisplay.h"

@implementation NSString (HeroValueDisplay)
- (NSString *) heroValueDisplay {
    return self;
}
@end

@implementation NSDate (HeroValueDisplay)
- (NSString *) heroValueDisplay {
    NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
    [formatter setDateStyle:NSDateFormatterMediumStyle];
    NSString *result = [formatter stringFromDate:self];
    [formatter release];
    return result;
}
@end

@implementation NSNumber (HeroValueDisplay)
- (NSString *) heroValueDisplay {
    return [self descriptionWithLocale:[NSLocale currentLocale]];
}
@end

@implementation NSDecimalNumber (HeroValueDisplay)
- (NSString *) heroValueDisplay {
    return [self descriptionWithLocale:[NSLocale currentLocale]];
}
@end
