//
//  ManagedObjectAttributeEditor.m
//  SuperDB
//
//  Created by Ken Anderson on 3/16/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ManagedObjectAttributeEditor.h"

@implementation ManagedObjectAttributeEditor

@synthesize managedObject=_managedObject;
@synthesize keypath=_keypath;
@synthesize labelString=_labelString;

- (void) viewWillAppear:(BOOL)animated {
    UIBarButtonItem *cancelButton = [[UIBarButtonItem alloc] initWithTitle:@"Cancel" style:UIBarButtonSystemItemCancel target:self action:@selector(cancel)];
    self.navigationItem.leftBarButtonItem = cancelButton;
    [cancelButton release];
    UIBarButtonItem *saveButton = [[UIBarButtonItem alloc] initWithTitle:@"Save" style:UIBarButtonItemStyleDone target:self action:@selector(save)];
    self.navigationItem.rightBarButtonItem = saveButton;
    [saveButton release];
    [super viewWillAppear:animated];
}

- (IBAction) cancel {
    [self.navigationController popViewControllerAnimated:YES];
}

- (IBAction) save {
    NSException *ex = [NSException exceptionWithName:@"Abstract Method Not Overridden" reason:@"You MUST override the save method" userInfo:nil];
    [ex raise];
}

- (void) dealloc {
    [_managedObject release];
    [_keypath release];
    [_labelString release];
    [super dealloc];
}

@end
